# Ionic + Angular Scheduler demo

This example uses Bryntum Scheduler wrapped in the provided `BryntumSchedulerComponent` wrapper.
This demo is based on the Ionic framework and uses the Bryntum Angular Scheduler wrappers.

This project was generated with [Ionic Framework](https://ionicframework.com/).

[Angular CLI](https://github.com/angular/angular-cli) v.~10.0.5 was used
as demo compiler.

# Bryntum Repository access setup

**IMPORTANT NOTE!** These access instructions are mandatory when using the private Bryntum NPM repository.

This example uses npm packages from the Bryntum private NPM repository. You must be logged-in to this repository as a
licensed or trial user to access the packages. Please
check [Online npm repository guide](https://bryntum.com/products/scheduler/docs/guide/Scheduler/npm-repository) for detailed information
on the sign-up/login process. Also you can check bundled guide inside distribution zip
in `docs/guides/npm-repository.md`.

# Ionic integration guide

Please check this
[Bryntum Ionic integration online guide](https://bryntum.com/products/scheduler/docs/guide/Scheduler/integration/ionic) for
detailed integration information and help. Also you can check bundled guide inside distribution zip
in `docs/guides/integration/ionic/guide.md`.

# Installation

Use the following command to install the example packages after the successful login.

Using **npm**:

```shell
$ npm install
```

Using **yarn**:

```shell
$ yarn install
```

# Running a development server

To build example and start development server run this command:

Using **npm**:

```shell
$ npm run start
```

Using **yarn**:

```shell
$ yarn run start
```

Navigate to `http://localhost:4200/` or `http://127.0.0.1:4200/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

# Creating a production build

To build production code for the example run this command:

Using **npm**:

```shell
$ npm run build
```

Using **yarn**:

```shell
$ yarn run build
```

The build artifacts will be stored in the `dist/` directory.

# Distribution zip references

* Bryntum API docs. Open `docs/index.html` in your browser.
* Bryntum Repository guide `docs/guides/npm-repository.md`.
* Bryntum Ionic integration guide `docs/guides/integration/ionic/guide.md`.

# Online References

* [Ionic Framework](https://ionicframework.com/)
* [Bryntum Ionic integration guide](https://bryntum.com/products/scheduler/docs/guide/Scheduler/integration/ionic)
* [Angular Framework](https://angular.io)
* [Bryntum Scheduler documentation](https://bryntum.com/products/scheduler/docs/)
* [Bryntum Scheduler examples](https://bryntum.com/products/scheduler/examples/)
* [Bryntum npm repository guide](https://bryntum.com/products/scheduler/docs/guide/Scheduler/npm-repository)
* [Bryntum support Forum](https://forum.bryntum.com/)
* [Contacts us](https://bryntum.com/contact/)
