import { EventModel, EventModelConfig } from '@bryntum/scheduler';
import { HelperService } from '../services/helper.service';

type AppEventModelConfig = EventModelConfig & {
    desc: string
    eventType: string
}

export interface ResourceDataModel {
  id: string;
  name: string;
  role: string;
}

export interface DependencyDataModel {
  id: number;
  from: string;
  to: string;
}

export default class AppEventModel extends EventModel {
    private helper: HelperService = new HelperService();

    // static get $name(): string {
    //     return 'AppEventModel';
    // }

    static get fields() : object[] {
        return [
            { name : 'desc' },
            { name : 'eventType' },
            { name : 'eventColor' }
        ];
    }

    public desc: string;
    public eventType: string;

    public copyData(ev: any) {
      this.resourceId = ev.resourceId;
      this.startDate = new Date(ev.startDate);
      this.endDate = new Date(ev.endDate);
      this.name = ev.name;
      this.desc = this.helper.getHelloName(ev.desc);
      this.eventType = ev.eventType;
      this.eventColor = <any>ev.eventColor;
    }

    // constructor(config: Partial<AppEventModelConfig>) {
    //     super(config);
    // }

}
